org.jboss.resteasy.core

## Class ServerResponseWriter

- java.lang.Object
- - org.jboss.resteasy.core.ServerResponseWriter

-     public class ServerResponseWriter
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerResponseWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `commitHeaders(BuiltResponse jaxrsResponse, HttpResponse response)`
    `static MediaType` | `resolveContentType(BuiltResponse response)`
    `protected static void` | `setDefaultContentType(HttpRequest request, BuiltResponse jaxrsResponse, ResteasyProviderFactory providerFactory, ResourceMethodInvoker method)`
    `static void` | `writeNomapResponse(BuiltResponse jaxrsResponse, HttpRequest request, HttpResponse response, ResteasyProviderFactory providerFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerResponseWriter

          public ServerResponseWriter()

  - ### Method Detail

    - #### writeNomapResponse

          public static void writeNomapResponse(BuiltResponse jaxrsResponse,
                                HttpRequest request,
                                HttpResponse response,
                                ResteasyProviderFactory providerFactory)
                                         throws IOException

      Throws:
        `IOException`

    - #### setDefaultContentType

          protected static void setDefaultContentType(HttpRequest request,
                                   BuiltResponse jaxrsResponse,
                                   ResteasyProviderFactory providerFactory,
                                   ResourceMethodInvoker method)

    - #### resolveContentType

          public static MediaType resolveContentType(BuiltResponse response)

    - #### commitHeaders

          public static void commitHeaders(BuiltResponse jaxrsResponse,
                           HttpResponse response)

Copyright © 2014. All Rights Reserved.